using SqlSugar;

namespace WCS.Entity
{
    /// <summary>
    ///  码垛位信息表
    /// </summary>
    [SugarTable(nameof(WCS_PalletizingLoc), "码垛位信息表")]
    public class WCS_PalletizingLoc
    {
        /// <summary>
        ///  Id
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true, ColumnDescription = "Id")]
        public int Id { get; set; }

        /// <summary>
        ///  码垛行信息表Id
        /// </summary>
        [SugarColumn(IsNullable = false, ColumnDescription = "码垛位信息表Id")]
        public int PalletizingRowId { get; set; }

        /// <summary>
        ///  码垛信息表Id
        /// </summary>
        [SugarColumn(IsNullable = false, ColumnDescription = "码垛位信息表Id")]
        public int PalletizingId { get; set; }

        /// <summary>
        ///  任务Id
        /// </summary>
        [SugarColumn(IsNullable = false, ColumnDescription = "任务Id")]
        public int TaskId { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(TaskId))]
        public WCS_TaskInfo TasLInfo { get; set; }

        /// <summary>
        ///  是否空置
        /// </summary>
        [SugarColumn(IsNullable = false, ColumnDescription = "是否空置")]
        public bool IsEmpty { get; set; }

        /// <summary>
        ///  坐标号
        /// </summary>
        [SugarColumn(IsNullable = false, ColumnDescription = "坐标号")]
        public string XYNo { get; set; }

        /// <summary>
        ///  所属设备号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDescription = "所属设备号")]
        public string DevCode { get; set; }

        /// <summary>
        ///  物料编码
        /// </summary>
        [SugarColumn(IsNullable = false, ColumnDescription = "物料编码")]
        public string MatCode { get; set; }

        /// <summary>
        ///  正反面
        /// </summary>
        [SugarColumn(IsNullable = false, ColumnDescription = "正反面")]
        public int SideNum { get; set; }

        /// <summary>
        ///  工字轮类型
        /// </summary>
        [SugarColumn(IsNullable = false, ColumnDescription = "工字轮类型")]
        public string SpoolType { get; set; }

        /// <summary>
        ///  是否结束
        /// </summary>
        [SugarColumn(IsNullable = false, ColumnDescription = "是否结束")]
        public bool Finish { get; set; }

        /// <summary>
        ///  仓库编号
        /// </summary>
        [SugarColumn(ColumnDescription = "仓库编号", IsNullable = true)]
        public string WarehouseCode { get; set; }

        /// <summary>
        ///  超时时间-小时
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = true)]
        public int TimeOut { get; set; }
    }
}
